Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 642109 - Web Console REPL "readline" occasionally stops working right
: Web Console REPL "readline" occasionally stops working right
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-03-16 05:46 PDT by Wesley W. Garland
Modified: 2011-05-02 23:38 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Wesley W. Garland 2011-03-16 05:46:53 PDT

Comment 1 Wesley W. Garland 2011-03-16 05:53:36 PDT
Sorry for the empty submission, I think I hit 'enter' instead of double-quote while typing in the subject line.

Anyhow -- when using the Web Console, I frequently bump into a situation where the REPL stops evaluating the input when I press 'enter'; instead it will print a newline on the screen; i.e., increase the size of the input area, and place the cursor beneath the input prompt.

When this happens, the only resolution is to close and re-open the Web Console.

This is triggered when I enter code that the Web Console doesn't seem to be allowed to evaluate; I keep bumping into this when trying to debug errors related to cross-domain frames, same-origin XHR, etc.

I suppose there is an outside chance this is related to bug 642108.

Comment 2 Kevin Dangoor 2011-03-16 06:00:13 PDT
It could be related to that other bug. I must say that those both sound unusual. I haven't encountered either one of these problems.

(By the way, what you're describing is the behavior you should get with shift-enter)
Comment 3 Wesley W. Garland 2011-03-16 06:48:29 PDT
Interesting - is it possible that this is a Leopard-specific problem?  I frequently encounter these issues on both my home and office Macs, which are both still on 10.5.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-03-16 08:07:32 PDT
when this happens, do you see anything suspicious in the Error Console (cmd-shift-J to open it)?
Comment 5 Rob Campbell [:rc] (:robcee) 2011-03-16 08:09:26 PDT
I guess I should've looked at bug 642108 before posting that. :)

Any common steps to cause this to happen that you can think of?

What types of code are you evaluating in the input line?

What types of pages are you evaluating against?

Need more data!
Comment 6 Mihai Sucan [:msucan] 2011-03-18 09:14:45 PDT
Based on testing, this bug is most likely caused by bug 642108.

The jsterm input stops working once you bump into bug 642108. Work around: clear console output - no need to close/reopen.
Comment 7 Mihai Sucan [:msucan] 2011-03-31 07:51:25 PDT
Wesley: can you please retest for this bug with the latest nightly? It should be fixed by bug 642108. Thanks!
Comment 8 Rob Campbell [:rc] (:robcee) 2011-04-20 05:57:20 PDT
pinging Wes. Are you still seeing this problem in nightlies?
Comment 9 Rob Campbell [:rc] (:robcee) 2011-04-28 10:50:55 PDT
I'm marking this fixed. Please reopen if the problem reoccurs.
Comment 10 Rob Campbell [:rc] (:robcee) 2011-04-28 14:35:11 PDT
Comment 11 Philip Chee 2011-04-28 21:41:12 PDT
I think it stands for Alien Unix.
Comment 12 Rob Campbell [:rc] (:robcee) 2011-04-29 05:08:11 PDT
not far off. Just wondering how I managed to flip that in the bug?
Comment 13 George Carstoiu 2011-05-02 23:38:00 PDT
Verified on Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110502 Firefox/6.0a1

Note You need to log in before you can comment on or make changes to this bug.